Subject: Re: [Bugme-new] [Bug 13304] New: ehci_hcd module causing problems in using usb head phone

From: Geoff Levand <[email-masked]>
Date: Fri, 26 Jun 2009 15:05:10 -0700

On 06/26/2009 01:42 PM, Alan Stern wrote:
> On Fri, 26 Jun 2009, Geoff Levand wrote:
> 
>> There is a known but yet unfixed bug for the PS3's EHCI Async Periodic
>> (typically audio recording) device handling.  There are a few related
>> hardware errata that I have not yet implemented driver fixes for that
>> I think are causing it.  
>> 
>> I guess it is the same problem as reported by Abhishek since Andrew's
>> dmesg (http://www.osl.iu.edu/~afriedle/dmesg.txt) shows similar 
>> results.
> 
> Yes, it definitely looks the same.
> 
>> More info is here:
>> 
>>   http://ozlabs.org/pipermail/cbe-oss-dev/2009-February/006365.html
>> 
>> I have bought a ART Tube USB device but have not had time to fix
>> this bug.  It is on my todo list.  Please feel free to make an
>> attempt.
> 
> Where is the information about the hardware errata you mentioned?

Sorry, I should have mentioned it.  Unfortunately, that info is not
in the public as far as I know.  I think only someone with access
to those will be able to work on this fix.

-Geoff